<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="#ffffff"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="New Schedule"
                android:textAllCaps="true"
                android:textColor="@color/btn_bg_color"
                android:textSize="18sp"
                android:textStyle="bold" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="Enter Training Title"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:layout_marginStart="20dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/custom_border">

                <TextView
                    android:id="@+id/title"
                    android:layout_width="match_parent"
                    android:layout_height="44dp"
                    android:layout_toLeftOf="@id/divider"
                    android:background="@android:color/transparent"
                    android:gravity="center|start"
                    android:hint="Training Title"
                    android:paddingStart="6dp"
                    android:paddingEnd="6dp"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="16sp" />

                <View
                    android:id="@+id/divider"
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:layout_toLeftOf="@id/levelSpinner"
                    android:background="#33969696" />

                <ImageButton
                    android:id="@+id/levelSpinner"
                    android:layout_width="44dp"
                    android:layout_height="44dp"
                    android:layout_alignParentEnd="true"
                    android:background="@android:color/transparent"
                    android:contentDescription="@string/app_name"
                    android:scaleType="fitCenter"
                    android:src="@drawable/spinner_drop" />

            </RelativeLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="10dp"
                android:text="Enter Training Description"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/description"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="20dp"
                android:background="@drawable/custom_border"
                android:gravity="start|top"
                android:hint="Description"
                android:importantForAutofill="no"
                android:inputType="textMultiLine"
                android:maxLines="3"
                android:minLines="2"
                android:padding="6dp"
                android:textColor="@color/material_bluegrey800" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginTop="10dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Select Date"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/dateSelection"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/date_pick"
                        android:gravity="center"
                        android:textColor="@color/material_black"
                        android:textSize="16sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="From Time"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/fromTime"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/time_pick"
                        android:gravity="center"
                        android:textColor="@color/material_black"
                        android:textSize="16sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="To Time"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/toTime"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:drawableEnd="@mipmap/time_pick"
                        android:gravity="center"
                        android:textColor="@color/material_black"
                        android:textSize="16sp" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/llout_region"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Regional Manager"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <com.cygnusa.hyperm.util.MultiSelectSpinner
                        android:id="@+id/regionSpinner"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:gravity="start" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llout_am"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Area Manager"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <com.cygnusa.hyperm.util.MultiSelectSpinner
                        android:id="@+id/areaSpinner"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:gravity="start" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/llout_dealer"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Dealer"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <com.cygnusa.hyperm.util.MultiSelectSpinner
                        android:id="@+id/dealerSpinner"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:gravity="start" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="DSE"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <com.cygnusa.hyperm.util.MultiSelectSpinner
                        android:id="@+id/dseSpinner"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:gravity="start" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="8dp"
                android:text="Others"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Zonal Manager"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <com.cygnusa.hyperm.util.MultiSelectSpinner
                        android:id="@+id/zonalSpinnerSelection"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:gravity="start" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Regional Manager"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <com.cygnusa.hyperm.util.MultiSelectSpinner
                        android:id="@+id/regionSpinnerSelection"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:gravity="start" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingTop="5dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:text="Area Manager"
                        android:textColor="#0f2e42"
                        android:textSize="13sp"
                        android:textStyle="bold" />

                    <com.cygnusa.hyperm.util.MultiSelectSpinner
                        android:id="@+id/areaSpinnerSelection"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:background="@android:color/transparent"
                        android:gravity="start" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/material_grey300" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="8dp"
                android:text="DSE Participants"
                android:textColor="#0f2e42"
                android:textSize="13sp"
                android:textStyle="bold" />

            <GridView
                android:id="@+id/participantList"
                android:layout_width="match_parent"
                android:layout_height="160dp"
                android:nestedScrollingEnabled="true"
                android:numColumns="2"
                android:padding="5dp"
                android:stretchMode="columnWidth" />

            <LinearLayout
                android:id="@+id/participantlloutzm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="5dp"
                android:visibility="gone">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/material_grey300" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="8dp"
                    android:text="Zonal Manager Participants"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <GridView
                    android:id="@+id/zmparticipantList"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:nestedScrollingEnabled="true"
                    android:numColumns="2"
                    android:padding="5dp"
                    android:stretchMode="columnWidth" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/participantlloutrm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="5dp"
                android:visibility="gone">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/material_grey300" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="8dp"
                    android:text="Regional Manager Participants"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <GridView
                    android:id="@+id/rmparticipantList"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:nestedScrollingEnabled="true"
                    android:numColumns="2"
                    android:padding="5dp"
                    android:stretchMode="columnWidth" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/participantlloutam"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="5dp"
                android:visibility="gone">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/material_grey300" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="8dp"
                    android:text="Area Manager Participants"
                    android:textColor="#0f2e42"
                    android:textSize="13sp"
                    android:textStyle="bold" />

                <GridView
                    android:id="@+id/amparticipantList"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:nestedScrollingEnabled="true"
                    android:numColumns="2"
                    android:padding="5dp"
                    android:stretchMode="columnWidth" />

            </LinearLayout>

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/schedule"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="50dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="50dp"
                    android:layout_marginBottom="20dp"
                    android:background="@drawable/btn_login_shadow"
                    android:text="Schedule"
                    android:textColor="@color/white" />

            </FrameLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>
